package com.cico.nest.lcdp.boot.web.apilog.core.service;

/**
 * API 访问日志 Framework Service 接口
 *
 * @author zws
 */
public interface ApiAccessLogFrameworkService {

    /**
     * 创建 API 访问日志
     *
     * @param apiAccessLog API 访问日志
     */
    void createApiAccessLog(ApiAccessLog apiAccessLog);

    /**
     * 是否开启日志记录
     * @return boolean
     */
    boolean isEnable();

}
